Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class InputControlWrapper

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO
          com.jaspersoft.jasperserver.war.dto.InputControlWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class InputControlWrapper

extends BaseDTO

Version:
  $Id: InputControlWrapper.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `TYPE_DESCRIPTION_BOOLEAN`
`static java.lang.String` | `TYPE_DESCRIPTION_MULTI_SELECT_LOV`
`static java.lang.String` | `TYPE_DESCRIPTION_MULTI_SELECT_LOV_CHECKBOX`
`static java.lang.String` | `TYPE_DESCRIPTION_MULTI_SELECT_QUERY`
`static java.lang.String` | `TYPE_DESCRIPTION_MULTI_SELECT_QUERY_CHECKBOX`
`static java.lang.String` | `TYPE_DESCRIPTION_MULTI_VALUE`
`static java.lang.String` | `TYPE_DESCRIPTION_SINGLE_SELECT_LOV`
`static java.lang.String` | `TYPE_DESCRIPTION_SINGLE_SELECT_LOV_RADIO`
`static java.lang.String` | `TYPE_DESCRIPTION_SINGLE_SELECT_QUERY`
`static java.lang.String` | `TYPE_DESCRIPTION_SINGLE_SELECT_QUERY_RADIO`
`static java.lang.String` | `TYPE_DESCRIPTION_SINGLE_VALUE`

Fields inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`MODE_STAND_ALONE_EDIT, MODE_STAND_ALONE_NEW, MODE_SUB_FLOW_EDIT, MODE_SUB_FLOW_NEW`

Constructor Summary
`InputControlWrapper()`
`InputControlWrapper(InputControl inputControl)`

Method Summary
`java.util.List` | `getAllResources()`
`java.lang.String` | `getDtDecimals()`
`java.lang.String` | `getDtMaxLength()`
`java.lang.String` | `getExistingPath()`
`java.util.List` | `getExistingPathList()`
`InputControl` | `getInputControl()`
`ResourceReference` | `getInputControlURI()`
`java.lang.String[]` | `getItemsToDelete()`
`java.lang.String` | `getListItemLabel()`
`java.lang.String` | `getListItemValue()`
`java.lang.String` | `getNewVisibleColumn()`
`java.lang.String` | `getOldInputControlURI()`
`java.lang.Object` | `getParentFlowObject()`
`java.lang.String` | `getSource()`
`java.util.Map` | `getSupportedControlTypes()`
`java.util.Map` | `getSupportedDataTypes()`
`java.lang.String` | `getVisibleColumns()`
`boolean` | `isBooleanType()`
`boolean` | `isDataType()`
`boolean` | `isLocated()`
`boolean` | `isLovType()`
`boolean` | `isMulti()`
`boolean` | `isMultiSelectLovType()`
`boolean` | `isMultiSelectQueryType()`
`boolean` | `isMultiValueType()`
`boolean` | `isQueryType()`
`boolean` | `isSingleSelectLovType()`
`boolean` | `isSingleSelectQueryType()`
`boolean` | `isSingleValueType()`
`boolean` | `isSuggested()`
`void` | `setAllResources(java.util.List allResources)`
`void` | `setDtDecimals(java.lang.String dtDecimals)`
`void` | `setDtMaxLength(java.lang.String dtMaxLength)`
`void` | `setExistingPath(java.lang.String existingPath)`
`void` | `setExistingPathList(java.util.List existingPathList)`
`void` | `setInputControl(InputControl inputControl)`
`void` | `setInputControlURI(ResourceReference inputControlURI)`
`void` | `setItemsToDelete(java.lang.String[] itemsToDelete)`
`void` | `setListItemLabel(java.lang.String listItemLabel)`
`void` | `setListItemValue(java.lang.String listItemValue)`
`void` | `setLocated(boolean located)`
`void` | `setNewVisibleColumn(java.lang.String newVisibleColumn)`
`void` | `setOldInputControlURI(java.lang.String oldInputControlURI)`
`void` | `setParentFlowObject(java.lang.Object parentFlowObject)`
`void` | `setSource(java.lang.String source)`
`void` | `setSuggested(boolean suggested)`
`void` | `setVisibleColumns(java.lang.String visibleColumns)`

Methods inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`getMode, isAloneEditMode, isAloneNewMode, isEditMode, isNewMode, isStandAloneMode, isSubEditMode, isSubflowMode, isSubNewMode, setMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_DESCRIPTION_BOOLEAN

    public static final java.lang.String TYPE_DESCRIPTION_BOOLEAN

See Also:
  Constant Field Values

### TYPE_DESCRIPTION_SINGLE_VALUE

    public static final java.lang.String TYPE_DESCRIPTION_SINGLE_VALUE

See Also:
  Constant Field Values

### TYPE_DESCRIPTION_SINGLE_SELECT_LOV

    public static final java.lang.String TYPE_DESCRIPTION_SINGLE_SELECT_LOV

See Also:
  Constant Field Values

### TYPE_DESCRIPTION_SINGLE_SELECT_LOV_RADIO

    public static final java.lang.String TYPE_DESCRIPTION_SINGLE_SELECT_LOV_RADIO

See Also:
  Constant Field Values

### TYPE_DESCRIPTION_SINGLE_SELECT_QUERY

    public static final java.lang.String TYPE_DESCRIPTION_SINGLE_SELECT_QUERY

See Also:
  Constant Field Values

### TYPE_DESCRIPTION_SINGLE_SELECT_QUERY_RADIO

    public static final java.lang.String TYPE_DESCRIPTION_SINGLE_SELECT_QUERY_RADIO

See Also:
  Constant Field Values

### TYPE_DESCRIPTION_MULTI_VALUE

    public static final java.lang.String TYPE_DESCRIPTION_MULTI_VALUE

See Also:
  Constant Field Values

### TYPE_DESCRIPTION_MULTI_SELECT_LOV

    public static final java.lang.String TYPE_DESCRIPTION_MULTI_SELECT_LOV

See Also:
  Constant Field Values

### TYPE_DESCRIPTION_MULTI_SELECT_LOV_CHECKBOX

    public static final java.lang.String TYPE_DESCRIPTION_MULTI_SELECT_LOV_CHECKBOX

See Also:
  Constant Field Values

### TYPE_DESCRIPTION_MULTI_SELECT_QUERY

    public static final java.lang.String TYPE_DESCRIPTION_MULTI_SELECT_QUERY

See Also:
  Constant Field Values

### TYPE_DESCRIPTION_MULTI_SELECT_QUERY_CHECKBOX

    public static final java.lang.String TYPE_DESCRIPTION_MULTI_SELECT_QUERY_CHECKBOX

See Also:
  Constant Field Values

Constructor Detail

### InputControlWrapper

    public InputControlWrapper()

### InputControlWrapper

    public InputControlWrapper(InputControl inputControl)

Method Detail

### getAllResources

    public java.util.List getAllResources()

### setAllResources

    public void setAllResources(java.util.List allResources)

### getParentFlowObject

    public java.lang.Object getParentFlowObject()

### setParentFlowObject

    public void setParentFlowObject(java.lang.Object parentFlowObject)

### isLocated

    public boolean isLocated()

### setLocated

    public void setLocated(boolean located)

### isSuggested

    public boolean isSuggested()

### setSuggested

    public void setSuggested(boolean suggested)

### getSupportedControlTypes

    public java.util.Map getSupportedControlTypes()

### getSupportedDataTypes

    public java.util.Map getSupportedDataTypes()

### getInputControl

    public InputControl getInputControl()

### setInputControl

    public void setInputControl(InputControl inputControl)

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### getExistingPathList

    public java.util.List getExistingPathList()

### setExistingPathList

    public void setExistingPathList(java.util.List existingPathList)

### getExistingPath

    public java.lang.String getExistingPath()

### setExistingPath

    public void setExistingPath(java.lang.String existingPath)

### getListItemLabel

    public java.lang.String getListItemLabel()

### setListItemLabel

    public void setListItemLabel(java.lang.String listItemLabel)

### getListItemValue

    public java.lang.String getListItemValue()

### setListItemValue

    public void setListItemValue(java.lang.String listItemValue)

### getItemsToDelete

    public java.lang.String[] getItemsToDelete()

### setItemsToDelete

    public void setItemsToDelete(java.lang.String[] itemsToDelete)

### getVisibleColumns

    public java.lang.String getVisibleColumns()

### setVisibleColumns

    public void setVisibleColumns(java.lang.String visibleColumns)

### getDtDecimals

    public java.lang.String getDtDecimals()

### setDtDecimals

    public void setDtDecimals(java.lang.String dtDecimals)

### getDtMaxLength

    public java.lang.String getDtMaxLength()

### setDtMaxLength

    public void setDtMaxLength(java.lang.String dtMaxLength)

### isLovType

    public boolean isLovType()

### isQueryType

    public boolean isQueryType()

### isDataType

    public boolean isDataType()

### isBooleanType

    public boolean isBooleanType()

### isMultiSelectLovType

    public boolean isMultiSelectLovType()

### isSingleSelectLovType

    public boolean isSingleSelectLovType()

### isMultiSelectQueryType

    public boolean isMultiSelectQueryType()

### isMultiValueType

    public boolean isMultiValueType()

### isMulti

    public boolean isMulti()

### isSingleSelectQueryType

    public boolean isSingleSelectQueryType()

### isSingleValueType

    public boolean isSingleValueType()

### getInputControlURI

    public ResourceReference getInputControlURI()

### setInputControlURI

    public void setInputControlURI(ResourceReference inputControlURI)

### getOldInputControlURI

    public java.lang.String getOldInputControlURI()

### setOldInputControlURI

    public void setOldInputControlURI(java.lang.String oldInputControlURI)

### getNewVisibleColumn

    public java.lang.String getNewVisibleColumn()

### setNewVisibleColumn

    public void setNewVisibleColumn(java.lang.String newVisibleColumn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.